## mx4j.tools.adaptor.interceptor
Class LoggerAdaptorInterceptor

    java.lang.Object
      mx4j.tools.adaptor.interceptor.AdaptorInterceptor
          mx4j.tools.adaptor.interceptor.LoggerAdaptorInterceptor

All Implemented Interfaces:
  AdaptorInterceptorMBean, Interceptor, Invocable

public class LoggerAdaptorInterceptor
extends AdaptorInterceptor

Version:
  $Revision: 1.3 $

Constructor Summary
`LoggerAdaptorInterceptor()`

Method Summary
`java.lang.String` `getType()` Returns the type of this interceptor
`InvocationResult` `invoke(Invocation invocation)` Invocation method

Methods inherited from class mx4j.tools.adaptor.interceptor.AdaptorInterceptor
`doInvoke, getLogger, getMBeanServer, getNext, getObjectName, isEnabled, postInvoke, preInvoke, setEnabled, setMBeanServer, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoggerAdaptorInterceptor

    public LoggerAdaptorInterceptor()

Method Detail

### getType

    public java.lang.String getType()

  Description copied from interface: `Interceptor`
  Returns the type of this interceptor

  Specified by:
    `getType` in interface `Interceptor`
  Overrides:
    `getType` in class `AdaptorInterceptor`

### invoke

    public InvocationResult invoke(Invocation invocation)
                            throws java.lang.Exception

  Description copied from interface: `Invocable`
  Invocation method

  Specified by:
    `invoke` in interface `Invocable`
  Overrides:
    `invoke` in class `AdaptorInterceptor`
  Throws:
    `java.lang.Exception`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.